Subject: Re: [PATCH] Third try at documenting command integration requirements.

From: "Eric S. Raymond" <[email-masked]>
Date: Tue, 27 Nov 2012 22:36:39 -0500

Junio C Hamano <[email-masked]>:
> I won't worry about Python 3 yet; in what timeframe did Python's
> i18n/unicode support become usable?  In 2.4, or 2.6?

Er, it depends on what you consider "usable".

Unicode integration turned out to have a lot messier edge cases than
anyone understood going in.  First-cut support was in 1.6, but I'd say
it still has some pretty sharp edges *today*.  Which is why 3.0 has
gone all-Unicode-all-the-time.  The problems mostly come from having
two different notions of "string" that don't really mix well.

Me, I still avoid the hell out of Unicode in Python.  And occasionally
fund myself cursing a library maintainer who didn't.
-- 
		<a href="http://www.catb.org/~esr/">Eric S. Raymond</a>